×

Discussion Board

Results 1 to 7 of 7

Hybrid View

  1. #1
    Registered User
    Join Date
    Dec 2008
    Posts
    3

    Error while installing Qt/S60 Version 4.5.0-garden for S60 3.2 SDK

    Hi,

    I went through instructions in INSTALL file from qt installation package:
    - installed Carbide C++, ver. 2.0 and S60 Platform SDK 3rd Edition FP2.
    - uncompressed qt package to C:\qt\garden
    - added string 'C:\qt\garden\bin' to PATH variable
    - run configuration command: 'configure -platform win32-mwc -xplatform symbian-abld'

    Configuration fails with errors:

    Code:
    Running syncqt...
    Creating qmake...
    make:  Makefile:  line 7:  Error -- Expecting macro or rule defn, found neither
    make:  Makefile:  line 7:  Error -- Expecting macro or rule defn, found neither
    Cleaning qmake failed, return code 255
    What could cause the problem ?

    Agnieszka
    Last edited by ACHecinska; 2009-04-30 at 12:27.

  2. #2
    Super Contributor
    Join Date
    Oct 2007
    Location
    જુનાગઢ - India
    Posts
    3,034

    Re: Error while installing Qt/S60 Version 4.5.0-garden for S60 3.2 SDK

    Have you installed SDK and carbide to C drive??. if not, then do it.

  3. #3
    Nokia Developer Champion
    Join Date
    Sep 2007
    Location
    Bhavnagar
    Posts
    928

    Re: Error while installing Qt/S60 Version 4.5.0-garden for S60 3.2 SDK

    Hi,
    if you search on this dibo you can find many threads about the same topic. You may get the solution.
    I think you had not configure the carbide for winscw env. You can do this from Start-all programs-carbide-configure for winscw.

    Hope this helps you.

    Regards.
    Jajal Mehul

  4. #4
    Registered User
    Join Date
    Dec 2008
    Posts
    3

    Re: Error while installing Qt/S60 Version 4.5.0-garden for S60 3.2 SDK

    Hi,
    thank you for your quick response. I've read all related posts before I created this thread. I have tested solutions proposed in previous threads, but 'configuration' command still doesn't work.

    I've installed both Carbide and SDK on C drive. I can compile and run standard S60 application on emulator and on the phone.
    I have configured carbide for winscw environment.
    My OS is Windows XP.
    I still need help with installing qt, any other ideas?

    BR,
    Agnieszka

  5. #5
    Nokia Developer Expert
    Join Date
    Jun 2008
    Location
    Tampere
    Posts
    833

    Re: Error while installing Qt/S60 Version 4.5.0-garden for S60 3.2 SDK

    Hi,

    Could you post your path here?
    In some cases even the order of the path statements have caused some errors.

    You could try to place Qt bin folder to be the first item in the Path and move carbide command line tools to be the second.

    Br,
    Ilkka

  6. #6
    Registered User
    Join Date
    Dec 2008
    Posts
    3

    Re: Error while installing Qt/S60 Version 4.5.0-garden for S60 3.2 SDK

    It's working! Thanks Ilkka

  7. #7
    Registered User
    Join Date
    Dec 2008
    Posts
    3

    Smile Re: Error while installing Qt/S60 Version 4.5.0-garden for S60 3.2 SDK

    It's work for me as well. Thanks ( I spend 2 days for this problems!)
    It's will be helpful if someone can put note in installation guide.
    Can't believe swap the path make the different.

Similar Threads

  1. Porting C Open source.
    By debasish1234 in forum Open C/C++
    Replies: 7
    Last Post: 2008-01-28, 11:06
  2. SDK Installation problems (wrong drive) S60 3rd
    By Jeepy in forum Symbian Tools & SDKs
    Replies: 6
    Last Post: 2007-03-12, 21:59
  3. setting of Series 60 MIDP SDK for Symbian OS version 1.2 for networking
    By servigo in forum Mobile Java Networking & Messaging & Security
    Replies: 2
    Last Post: 2003-07-31, 07:47
  4. nokia 7210 modem via IR doesn't work !
    By oussamaaiadi in forum PC Suite API and PC Connectivity SDK
    Replies: 1
    Last Post: 2003-03-06, 10:46

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×